Create Audit Log report

POST
/reports/auditlog

This endpoint initiates the generation of an audit log report for a specified time frame. Reports are generated asynchronously and, once ready, can be downloaded as CSV files from /reports/{id}/download. Use /reports/{id} to monitor the report's status.

The period between startDate and endDate must not exceed 92 days, allowing for quarterly reports. Specifying a customerId filters the report to include data exclusively for that merchant. Without a customerId, the report covers all merchants in your customer hierarchy.

If a allowEmpty is not provided or is set to false the report is not generated when there is no available entries and an error is returned.

Request Body

application/json
  1. body
startDate*string

Start date for collecting audit log data, referenced in errors as 'filters.createdAt.gte'.

Formatdate-time
endDate*string

End date for collecting audit log data, referenced in errors as 'filters.createdAt.lte'.

Formatdate-time
customerId?string
Formatuuid
allowEmpty?boolean

Response Body

Created

application/json
  1. response
id*string
Formatuuid
status*string
Value in"REPORT_REQUESTED""REPORT_GENERATING""REPORT_AVAILABLE""REPORT_FAILED""REPORT_REMOVAL_REQUESTED"
createdAt*string
Formatdate-time
curl -X POST 'https://gateway.sandbox.volt.io/reports/auditlog' \  -H 'Content-Type: application/json' \  -d '{  "startDate": "2019-08-24T14:15:22+00:00",  "endDate": "2019-08-24T14:15:22+00:00",  "customerId": "87d8e330-2878-4742-a86f-dbbb3bf522ac"}'
Example Response
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "status": "REPORT_REQUESTED",  "createdAt": "2019-08-24T14:15:22Z"}